const port = chrome.runtime.connect();
let volumeSlider = document.getElementById('input-range');

volumeSlider.onchange = async () => {
  chrome.storage.sync.set({
    volume: volumeSlider.value
  })

  chrome.runtime.sendMessage({
    action: "volume",
    target: "offscreen",
    data: volumeSlider.value 
  })
}

async function main() {
  const { volume } = await chrome.storage.sync.get(["volume"]);
  volumeSlider.value = +volume;
  
  chrome.runtime.sendMessage({
    action: "volume",
    target: "offscreen",
    data: volume
  })
}

main()